﻿/*
  solo trasmissione a modulo BT
  test di comunicazione con telefono via BT e app testing
*/

#include <SoftwareSerial.h>//per la comuncazione con modulo BT

//definisco pin RX e TX da Arduino per modulo BT
#define BT_RX_PIN 4 // "RXD" Pin on BT HC05
#define BT_TX_PIN 5 // "TXD" Pin on BT HC05



SoftwareSerial BTSerial(BT_RX_PIN, BT_TX_PIN);//(RxD, TxD) modulo BT

unsigned long time_1;        // will store last time LED was updated
unsigned long time_2;        // will store last time LED was updated

long interval1;
long interval2;
byte count;


void setup()
{
  Serial.begin(9600);
  BTSerial.begin(9600);

  interval1 = 1500;//verde
  interval2 = 6000;//rosso
count = 1;
  delay(2000);
}

void loop()
{
  if (millis() >= time_1 + interval1)
  {
    time_1 += interval1;
    count++;
    BTSerial.print('0');
    BTSerial.println();
    Serial.println("0 to BT");
  //  Serial.println(count);
  }

  if (millis() >= time_2 + interval2)
  {
    time_2 += interval2;
    count++;
    BTSerial.print('1');
    BTSerial.println();
    Serial.println("1 to BT");
  //  Serial.println(count);
  }

  if(count >= 100)
  {
    count = 2;
  }
}